## ruby-rspec-profiling 0.0.9

=== Makefile ===
# -e says exit immediately when a command fails
# -o sets pipefail, meaning if it exits with a failing command, the exit code should be of the failing command
# -u fails a bash script immediately if a variable is unset
ENVIRONMENT := test
PGHOST := localhost
PGPORT := 5432
PGUSER := myuser
PGPASSWORD := mypassword
SHELL = /bin/bash -eu -o pipefail

define is_installed
if ! command -v $(1) &> /dev/null; \
then \
	echo "$(1) not installed, please install it. 'brew install $(1)'"; \
	exit; \
fi;
endef

.PHONY : help
help : # Display help
	@awk -F ':|##' \
		'/^[^\t].+?:.*?##/ {\
			printf "\033[36m%-30s\033[0m %s\n", $$1, $$NF \
		}' $(MAKEFILE_LIST)

.PHONY : ruby_installed
ruby_installed: ## check if ruby is installed
	@$(call is_installed,ruby)

.PHONY : bundle
bundle: ruby_installed ## install gems
	@bundle install --gemfile spec/Gemfile && cd spec/dummy && bundle install

.PHONY : setup_db
setup_db: ruby_installed postgres ## setup database
	@echo "setting up database"
	@cd spec/dummy && bundle exec rake db:create db:migrate --trace RAILS_ENV=${ENVIRONMENT}

.PHONY : initialize_profiling
initialize_profiling: ruby_installed ## initialize rspec_profiling
	@echo "initializing rspec_profiling"
	@cd spec/dummy && bundle exec rake rspec_profiling:install RAILS_ENV=${ENVIRONMENT}

.PHONY : spec
spec : bundle setup_db initialize_profiling ## run specs
	@echo "running specs"
	@bundle exec --gemfile=spec/dummy/Gemfile rspec

.PHONY : test
test: spec ## run specs
	@echo "running specs"

.PHONY : docker_installed
docker_installed: ## check if docker and docker-compose are installed
	@$(call is_installed,docker)
	@$(call is_installed,docker-compose)

.PHONY : postgres
postgres: docker_installed ## start postgres in docker container
	@docker-compose up -d || true

## ruby-rspec-profiling 0.0.5

=== debian/changelog ===
ruby-rspec-profiling (0.0.5-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Pirate Praveen <praveen@debian.org>  Mon, 09 Mar 2020 17:22:15 +0530

ruby-rspec-profiling (0.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #952727)

 -- Pirate Praveen <praveen@debian.org>  Fri, 28 Feb 2020 12:26:54 +0530

=== debian/control ===
Source: ruby-rspec-profiling
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 12),
               gem2deb (>= 1),
               rake,
               ruby-activerecord,
               ruby-pg,
               ruby-rails,
               ruby-rspec,
               ruby-sqlite3
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rspec-profiling.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rspec-profiling
Homepage: https://github.com/foraker/rspec_profiling
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-rspec-profiling
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Profile RSpec test suites
 This library collects profiles of RSpec test suites, enabling you to identify
 specs with interesting attributes. For example, find the slowest specs, or the
 spec which issues the most queries.

=== debian/watch ===
version=4
https://gemwatch.debian.net/rspec_profiling .*/rspec_profiling-(.*).tar.gz

## ruby-rspec-profiling 0.0.9

=== debian/changelog ===
ruby-rspec-profiling (0.0.9-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Lucas Kanashiro ]
  * New upstream version 0.0.9.
  * Add ruby-get-process-mem as b-d
  * Bump debhelper compat level to 13
  * Declare compliance with Debian Policy 4.7.0

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 10 Dec 2024 16:31:34 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: ruby-rspec-profiling
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1),
                rake,
                ruby-activerecord,
+               ruby-get-process-mem,
                ruby-pg,
                ruby-rails,
                ruby-rspec,
                ruby-sqlite3
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rspec-profiling.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rspec-profiling
 Homepage: https://github.com/foraker/rspec_profiling
